Last updated
Was this helpful?
Was this helpful?
{
data: {
id: <INQUIRY_ID>
},
success: true
}const data = new URLSearchParams();
const accessToken = `<ACCESS TOKEN>`
data.append('firstname', 'Testfirstname');
data.append('lastname', 'Teslastname');
data.append('email', 'testing@test.com');
data.append('phone', '(555) 555-5555');
data.append('website', 'https://mywebsite.com');
data.append('organization', 'NYT');
data.append('location_city', 'New York City');
data.append('location_state', 'NY');
data.append('location_country', 'US');
data.append('username', '<EXPERT USERNAME>');
data.append('meeting_preferred_time', 'AM');
data.append('meeting_preferred_days', 'Thursday, Friday');
data.append('meeting_timezone', 'EDT America/Toronto (GMT -04:00)');
data.append('meeting_discussion_topics', 'This is a meeting discussion note...');
data.append('message', 'This is a test message to the expert...');
fetch('https://public-api.expertfile.com/v2/organization/:corporation/inquiry/meeting', {
method: 'POST',
headers: {
'Content-Type': 'application/x-www-form-urlencoded',
'Authorization': `Bearer ${accessToken}`
},
body: data
})
.then(response => response.json())
.then(json => {
const { success, data, error } = json
if (success) {
const { id } = data
console.log('New inquiry id', id)
}
})
.catch(error => console.error(error));$accessToken = urlencode('<ACCESS TOKEN>');
$url = 'https://public-api.expertfile.com/v2/organization/:corporation/inquiry/meeting';
$data = ['firstname' => 'Testfirstname',
'lastname' => 'Teslastname',
'email' => 'testing@test.com',
'phone' => '(555) 555-5555',
'website' => 'https://mywebsite.com',
'organization' => 'NYT',
'location_city' => 'New York City',
'location_state' => 'NY',
'location_country' => 'US',
'meeting_preferred_time' => 'AM',
'meeting_preferred_days' => 'Thursday, Friday',
'meeting_timezone' => 'EDT America/Toronto (GMT -04:00)',
'meeting_discussion_topics' => 'This is a meeting discussion note...',
'username' => '<EXPERT USERNAME>',
'message' => 'This is a test message to the expert...'];
$ch = curl_init($url);
curl_setopt(
$ch,
CURLOPT_HTTPHEADER,
array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
$response = curl_exec($ch);
$json = json_decode($response);
if($json->success){
var_dump($json->data);
}
curl_close($ch);curl -X POST https://public-api.expertfile.com/v2/organization/:corporation/inquiry/meeting \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <ACCESS TOKEN>" \
-d '{ "firstname": "Testfirstname","lastname": "Teslastname","email": "testing@test.com","phone": "(555) 555-5555","website": "https://mywebsite.com","organization": "NYT","location_city": "New York City","location_state": "NY","location_country": "US","username": "<EXPERT USERNAME>","meeting_preferred_time": "AM", "meeting_preferred_days": "Thursday, Friday", "meeting_timezone": "EDT America/Toronto (GMT -04:00)", "meeting_discussion_topics": "This is a meeting discussion note...", "message": "This is a test message to the expert..." }'